﻿using System;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MailRecTest
{
    public partial class Form1 : Form
    {
        // ******************************************************
        // 画面レイアウト作成方法は以下を参照
        // http://logicalerror.seesaa.net/article/459948736.html
        // ******************************************************

        private DataTable table;
        private DataColumn column;
        private DataRow row;


        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            this.toolStripStatusLabel1.Text = "ツールバーのボタンで受信してください";
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("メールを受信しますか?", "確認", MessageBoxButtons.OKCancel) == DialogResult.Cancel)
            {
                return;
            }

        }

        private void MailData_BodyLoaded(object sender, EventArgs e) {



        }

        private void dataGridView1_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
        {
            int rowNumber = e.RowIndex;
            if (rowNumber < 0 ){
                return;
            }

            this.textBox1.Text = this.dataGridView1["本文",rowNumber].Value.ToString();
        }

        private void ファイルToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("メニューがクリックされました");
        }
    }
}
